Agent Governance Protocol
API ReferenceRegistry APICapabilities

Issue capability token

POST
/agp/capabilities

Authorization

AuthorizationBearer <token>

In: header

Scope: agp.registry.read, agp.registry.write

Header Parameters

Idempotency-Key?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/agp/capabilities" \  -H "Content-Type: application/json" \  -d '{    "type": "CapabilityToken",    "capability_id": "string",    "subject_agent": "string",    "issuer": "string",    "principal_id": "string",    "permitted_actions": [      "string"    ],    "constraints": {},    "expires_at": "2019-08-24T14:15:22Z",    "revocation_id": "string"  }'
{  "type": "CapabilityToken",  "capability_id": "string",  "subject_agent": "string",  "issuer": "string",  "principal_id": "string",  "permitted_actions": [    "string"  ],  "tool_scopes": [    "string"  ],  "data_scopes": [    "string"  ],  "constraints": {    "spend_limit": {      "currency": "string",      "amount": 0    },    "max_delegation_depth": 0,    "jurisdictions": [      "string"    ]  },  "expires_at": "2019-08-24T14:15:22Z",  "revocation_id": "string",  "signature": {    "alg": "string",    "kid": "string",    "issuer": "string",    "issued_at": "2019-08-24T14:15:22Z",    "payload_hash": "string",    "value": "string"  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}